package com.emr.dao;

import com.emr.entity.MedicalRecordHomepageCache;
import com.emr.entity.MedicalRecordHomepageCacheExample;
import java.util.List;

public interface MedicalRecordHomepageCacheMapper {
    int deleteByPrimaryKey(String masterId);

    int insert(MedicalRecordHomepageCache record);

    int insertSelective(MedicalRecordHomepageCache record);

    List<MedicalRecordHomepageCache> selectByExample(MedicalRecordHomepageCacheExample example);

    MedicalRecordHomepageCache selectByPrimaryKey(String masterId);

    int updateByPrimaryKeySelective(MedicalRecordHomepageCache record);

    int updateByPrimaryKey(MedicalRecordHomepageCache record);
}